//Chris Eng & Ken Rice
//CSS450 Sung

//LevelOne.h

//LevelOne for Escape! game

#pragma once

#include "CLevel.h"

class CLevelOne : public CLevel {

public:

	void Initialize();

	int GetLevelNumber() const;

	bool DoesLevelHaveBridges() const;

private:

};

/*//enum eWallOrientation { NONE, VERTICAL, HORIZONTAL };
//enum eDoorColor { RED, GREEN, BLUE, YELLOW, NODOOR };
//enum eTileType { EMPTY, WALL, REDDOOR, GREENDOOR, BLUEDOOR, YELLOWDOOR };
//enum eItemType { REDKEY, GREENKEY, BLUEKEY, YELLOWKEY, BATTERY, NOITEM };

//class CLevelOne : public UWB_SceneNode {

public:
	CLevelOne(const wchar_t* name = L"Level One");

	UWB_XformInfo GetHeroStartingTransform();

	//Returns a suggested translation for the hero
	vec3 CheckWallCollision(const UWB_BoundingVolume* otherBound, const vec3 otherTranslation);

	//Returns a suggested translation for the hero and sets the eTileType variable to any door hit, or EMPTY otherwise
	vec3 CheckDoorCollision(const UWB_BoundingVolume* otherBound, const vec3 otherTranslation);

	eItemType CheckItemCollision(const UWB_BoundingVolume* otherbound);

	void UnlockDoor(eTileType doorColor);
 
	eTileType GetCollisionDoorColor();

	UWB_BoundingBox GetModelCoordinateSize();

	UWB_XformInfo GetGhostStartingTransform();
	UWB_XformInfo GetBlobStartingTransform();
	vec3 BounceWallCollision(const UWB_BoundingVolume* otherBound, const vec3 otherTranslation);

protected:
	void MakeWall(vec3 corner1, vec3 corner2, bool isVertical, UWB_PrimitiveList* wallCollection);
	void MakeDoor(vec3 corner1, vec3 corner2, bool isVertical, eTileType color, UWB_PrimitiveList* doorCollection);
	void MakeItem(vec3 corner1, vec3 corner2, eItemType item, UWB_PrimitiveList* itemCollection);

	eTileType* m_TileArray;

	int m_RedDoorIndex;
	int m_BlueDoorIndex;
	int m_GreenDoorIndex;
	int m_YellowDoorIndex;
	int m_ExitIndex;

	static const int m_WorldWidth = 100;
	static const int m_WorldHeight = 100;

	static const int m_TileRows = 25;
	static const int m_TileCols = 25;

	static const int m_TileHeight = 4;
	static const int m_TileWidth = 4;

	//Is set to a color if a door was hit calling CheckDoorCollision(), otherwise is EMPTY
	eTileType doorFlag;

	UWB_XformInfo levelStartingPosition;

};*/
