//Chris Eng & Ken Rice
//CSS450 Sung

#pragma once
#include "afxcmn.h"


// OptionDialog dialog

class COptionDialog : public CDialog
{
	DECLARE_DYNAMIC(COptionDialog)

public:
	COptionDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~COptionDialog();

// Dialog Data
	enum { IDD = IDD_OPTION_DIALOG };

	afx_msg void OnBnClickedOk();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()

private:
	float m_difficulty;
	UWBMFC_SliderCtrlWithEcho m_SliderDifficulty;

	void SetDifficultyStrings();
protected:
	CString m_MonsterAttackString;
	CString m_MonsterSpeedString;
	CString m_MonsterStunString;
	CString m_BatteryLifeString;
	CString m_HeroInvincibilityString;
	CString m_CarryoverString;
};
