//Chris Eng

#pragma once
#include "uwbgl_PrimitiveCircle3.h"

class CWedge : public UWB_PrimitiveCircle {

public:
	CWedge();
	CWedge(float gapRadians, float rotationRadians);

	float GetWedgeGap() const;
	void SetWedgeGap(float gapRadians);

	float GetRotationRadians() const;
	void SetRotationRadians(float rotationRad);

protected:
	void DrawPrimitive( eLevelOfDetail lod, UWB_DrawHelper& draw_helper );

private:
	float m_WedgeGap;
	float m_Rotation;

};
