//Chris Eng

#include "CWedge.h"

CWedge::CWedge() {
	m_WedgeGap = UWB_PI / 4;
}

CWedge::CWedge(float gapRadians, float rotationRad) {
	m_WedgeGap = gapRadians;
	m_Rotation = rotationRad;
}

float CWedge::GetWedgeGap() const {
	return m_WedgeGap;
}
	
void CWedge::SetWedgeGap(float gapRadians) {
	m_WedgeGap = gapRadians;
}

float CWedge::GetRotationRadians() const {
	return m_Rotation;
}

void CWedge::SetRotationRadians(float rotationRad) {
	m_Rotation = rotationRad;
}

void CWedge::DrawPrimitive( eLevelOfDetail lod, UWB_DrawHelper& draw_helper ) {
  eLevelOfDetail oldlod = draw_helper.GetLOD();
  draw_helper.SetLOD(lod);
  draw_helper.DrawWedge(m_center, m_radius, m_WedgeGap, m_Rotation);
  draw_helper.SetLOD(oldlod);
}